%define api	1
%define major	0
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} -d

%define build_gda 1

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Project management application for GNOME
Name: 		planner
Version:	0.14.6
Release:	2
License: 	GPLv2+
Group: 		Office
Url:		http://live.gnome.org/Planner
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	rarian
BuildRequires:	pkgconfig(glib-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires:	pkgconfig(libgnomecanvas-2.0) >= 2.10.0
BuildRequires:	pkgconfig(libgnomeui-2.0) >= 2.10.0
BuildRequires:	pkgconfig(libglade-2.0) >= 2.3.0
BuildRequires:	pkgconfig(gconf-2.0) >= 2.10.0
BuildRequires:	pkgconfig(python-2.7)
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	pkgconfig(libgsf-1)

%if %{build_gda}
BuildRequires:	pkgconfig(libgda-3.0) >= 1.0
%endif

# added 12/2011
Obsoletes:	%{name}-database < 0.14.6

%description
Planner is a project management application for GNOME.

It was formely known as MrProject.

%package python
Summary:	Python binding for Planner library
Group:		Development/GNOME and GTK+

%description python
Python binding for Planner library.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
A support library for accessing Planner data.

%package -n %{devname}
Summary:	The files needed for Planner application development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-1-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains the necessary include files
for developing applications that access Planner data.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-python \
	--enable-python-plugin \
	--disable-eds \
	--disable-eds-backend \
%if %{build_gda}
	--with-database \
%endif
	--disable-update-mimedb \
	--disable-schemas-install

# FIXME: pygtk-codegen-2.0 creates code, which breaks strict aliasing
sed -i 's/^CFLAGS =/& -fno-strict-aliasing/' python/Makefile.in

%make

%install
%makeinstall_std

sed -i -e 's/^\(Icon=.*\).png$/\1/g' %{buildroot}%{_datadir}/applications/planner.desktop 

#duplicate comments to GenericName for KDE (Mdv bug #33406)
sed -i -e 's/^Comment\(.*\)$/GenericName\1\nComment\1/g' %{buildroot}%{_datadir}/applications/planner.desktop 

desktop-file-install --vendor="" \
	--add-category="GTK" \
	--add-category="GNOME" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*


%find_lang %{name} --with-gnome

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/planner \
	%{buildroot}%{_datadir}/mime/{globs,XMLnamespaces,application,magic,aliases,subclasses}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc NEWS README examples/sample-1.planner
%doc docs/sql/README.sql
%{_sysconfdir}/gconf/schemas/planner.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%exclude %{_libdir}/%{name}/plugins/libpython-plugin.so
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/gnome-%{name}.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/48x48/mimetypes/gnome-mime-application-x-planner.png
%{_mandir}/man1/%{name}.*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/lib%{name}
%{_libdir}/lib%{name}-%{api}.so
%{_includedir}/%{name}-1.0
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc

%files python
%{py_platsitedir}/*
%{_libdir}/%{name}/plugins/libpython-plugin.so


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.14.6-2
+ Revision: ede60b0
- MassBuild#440: Increase release tag


